Subject: Re: Automating svn<->git gateway

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Oct 2010 01:25:48 +0200

On wtorek 12. października 2010 22:31, Jan Hudec napisał:
> On Tue, Oct 12, 2010 at 12:54:54 -0700, Jakub Narebski wrote:
> > Jan Hudec <[email-masked]> writes:
> > 
> > > I want to set up a gateway between subversion and git, which would keep the
> > > master synchonized with subversion trunk, both ways, and allow working with
> > > any additional branches independent of subversion. For users it should behave
> > > as any other shared git repository accessed by push and pull. And it needs to
> > > be automatic.
> > > 
> > > Did anybody try to set up something like this?
> > 
> > It is a pity that "Native SVN support in git" project at Google Summer of
> > Code 2010 (https://git.wiki.kernel.org/index.php/SoC2010Projects) turned
> > out to be too much for one summer; though people are working on it.  It
> > would be perfect for this situation.
> 
> I am not actually sure it would. What I want is that for people who already
> switch to git may immediately stop caring about subversion. From their point
> of view, it shouldn't be there.
> 
> So while I'm sure the native SVN support will solve the quirks and bugs of
> git-svn, it will not do away with need for the gateway repository that will
> somehow synchronize itself with subversion.

Well, I think that native SVN support would allow to treat subversion
repository as one of repositories in the network of repositories.  Those
repositories could be set in that pushing to central git repository pushes
also to subversion repository, and like central git repository fetches
from leaf repositories, it would fetch from subversion repository.

-- 
Jakub Narebski
Poland